View Issue Details

IDProjectCategoryView StatusLast Update
0003338unrealircdpublic2007-06-12 14:40
ReporterStealthAssigned Tostskeeps 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS VersionXP Pro
Product Version3.3-alpha0 
Target VersionFixed in Version3.3-alpha0 
Summary0003338: Update win32 makefile
DescriptionA few error while trying to compile current CVS on windows.

Using MSVS 2003 (7.someodd)

> cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
> /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D >_CRT_NONST
>DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/ircsprintf.c
>ircsprintf.c
>NMAKE : fatal error U1073: don't know how to make 'src/lusers.c'
>Stop.

After removing src/lusers from the makefile it then stops at the usual "unresolved external symbol"... After making the symbolfile, it then stops with this error during compile:

>M_PART.C
>M_JOIN.C
>M_MOTD.C
>M_OPERMOTD.C
>M_BOTMOTD.C
>Generating Code...
>Compiling...
>M_LUSERS.C
>M_NAMES.C
>M_SVSNOLAG.C
>Generating Code...
>NMAKE : fatal error U1077: 'cl' : return code '0x2'
>Stop.

I don't know what needs fixing, it just stops
Steps To Reproducenmake -f makefile.win32
Remove src/lusers from makefile.win32
nmake -f makefile.win32
nmake -f makefile.win32 SYMBOLFILE
nmake -f makefile.win32
Additional InformationA few random syntax errors spat out during compile:

src\modules\m_chgident.c(168) : error C2143: syntax error : missing ';' before 'type'

src\modules\m_chgident.c(191) : error C2065: 'did_parts' : undeclared identifier

src\modules\m_chgident.c(168) : error C2143: syntax error : missing ';' before 'type'

src\modules\m_chgident.c(191) : error C2065: 'did_parts' : undeclared identifier
TagsNo tags attached.
3rd party modules

Relationships

related to 0003345 resolvedstskeeps Fixed compile errors and runtime errors. 

Activities

Stealth

2007-05-15 01:20

reporter   ~0014139

Oops, a couple of those errors were supposed to be:

src\modules\m_chghost.c(156) : error C2143: syntax error : missing ';' before 'type'

src\modules\m_chghost.c(185) : error C2065: 'did_parts' : undeclared identifier

/me hates Windows command prompt

Issue History

Date Modified Username Field Change
2007-05-15 01:11 Stealth New Issue
2007-05-15 01:14 stskeeps Status new => acknowledged
2007-05-15 01:20 Stealth Note Added: 0014139
2007-05-18 02:01 stskeeps Relationship added related to 0003345
2007-06-12 14:40 stskeeps Status acknowledged => resolved
2007-06-12 14:40 stskeeps Fixed in Version => 3.3-alpha0
2007-06-12 14:40 stskeeps Resolution open => fixed
2007-06-12 14:40 stskeeps Assigned To => stskeeps